Eventum Logo

Eventum

GeneratorsGroup actionsStats running

Get Running Generators Stats

Get stats of all running generators

GET
/generators/group-actions/stats-running

Response Body

application/json

curl -X GET "https://loading/api/generators/group-actions/stats-running"
[
  {
    "id": "string",
    "start_time": "2019-08-24T14:15:22Z",
    "resources": {
      "thread_count": 0,
      "cpu_seconds": 0,
      "run_delay_seconds": 0,
      "disk_read_bytes": 0,
      "disk_written_bytes": 0,
      "network_sent_bytes": 0,
      "network_received_bytes": 0,
      "queues": {
        "timestamps": {
          "size": 0,
          "maxsize": 1,
          "size_bytes": 0,
          "max_bytes": 1
        },
        "events": {
          "size": 0,
          "maxsize": 1,
          "size_bytes": 0,
          "max_bytes": 1
        }
      }
    },
    "input": [
      {
        "plugin_name": "string",
        "plugin_id": 0,
        "generated": 0
      }
    ],
    "event": {
      "plugin_name": "string",
      "plugin_id": 0,
      "produced": 0,
      "produce_failed": 0,
      "dropped": 0
    },
    "output": [
      {
        "plugin_name": "string",
        "plugin_id": 0,
        "written": 0,
        "write_failed": 0,
        "format_failed": 0
      }
    ],
    "total_generated": 0,
    "total_written": 0,
    "uptime": 0,
    "input_eps": 0,
    "output_eps": 0
  }
]
Empty